---
identifier: "GMS-2017-115"
package_slug: "npm/angular"
title: "Denial of service in $sanitize"
description: "Running $sanitize on bad HTML can freeze the browser. The problem occurs
  with clobbered data; typically the \"nextSibling\" property on an element is changed
  to one of it's child node, this makes it impossible to walk the HTML tree and leads
  to an infinite loop which freezes the browser. "
date: "2017-03-08"
pubdate: "2017-03-08"
affected_range: "<1.6.3"
fixed_versions:
- "1.6.3"
affected_versions: "All versions before 1.6.3"
solution: "Upgrade to latest version."
urls: []
credit: "Pete Bacon Darwin"
uuid: "87437e0e-d971-4476-b5be-0de10f2a561a"
